JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.unix
Class X11.Colormap

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.NativeLong
                  com.sun.jna.platform.unix.X11.XID
                      com.sun.jna.platform.unix.X11.Colormap

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  X11

    public static class X11.Colormap

extends X11.XID

See Also:
  Serialized Form

Field Summary
`static X11.Colormap` `None`

Fields inherited from class com.sun.jna.NativeLong
`SIZE`

Constructor Summary
`X11.Colormap()`
`X11.Colormap(long id)`

Method Summary
`java.lang.Object` `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.

Methods inherited from class com.sun.jna.platform.unix.X11.XID
`isNone, toString`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final X11.Colormap None

Constructor Detail

### X11.Colormap

    public X11.Colormap()

### X11.Colormap

    public X11.Colormap(long id)

Method Detail

### fromNative

    public java.lang.Object fromNative(java.lang.Object nativeValue,
                                       FromNativeContext context)

  Description copied from interface: `NativeMapped`
  Convert the given native object into its Java representation using the given context.

  Specified by:
    `fromNative` in interface `NativeMapped`
  Overrides:
    `fromNative` in class `X11.XID`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.